%define           nspr_version 4.6
%define           nss_version 3.11
%define           svrcore_version 4.0
%define           mozldap_version 6.0
%define           icu_version 3.4

Summary:          Utility library for directory server administration
Name:             adminutil
Version:          1.1.0
Release:          1%{?dist}
License:          LGPL
URL:              http://directory.fedoraproject.org/wiki/AdminUtil
Group:            Development/Libraries
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    nspr-devel >= %{nspr_version}
BuildRequires:    nss-devel >= %{nss_version}
BuildRequires:    svrcore-devel >= %{svrcore_version}
BuildRequires:    mozldap-devel >= %{mozldap_version}
BuildRequires:    libicu-devel >= %{icu_version}
BuildRequires:    icu >= %{icu_version}
BuildRequires:    pkgconfig

Source0:          http://directory.fedoraproject.org/sources/%{name}-%{version}.tar.bz2

%description
%{name} is libraries of functions used to administer directory
servers, usually in conjunction with the admin server.  %{name} is
broken into two libraries - libadminutil contains the basic
functionality, and libadmsslutil contains SSL versions and wrappers
around the basic functions.  The PSET functions allow applications to
store their preferences and configuration parameters in LDAP, without
having to know anything about LDAP.  The configuration is cached in a
local file, allowing applications to function even if the LDAP server
is down.  The other code is typically used by CGI programs used for
directory server management, containing GET/POST processing code as
well as resource handling (ICU ures API).

%package devel
Summary: Development and header files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: nspr-devel >= %{nspr_version}
BuildRequires: nss-devel >= %{nss_version}
BuildRequires: svrcore-devel >= %{svrcore_version}
BuildRequires: mozldap-devel >= %{mozldap_version}
BuildRequires: libicu-devel >= %{icu_version}
BuildRequires: icu >= %{icu_version}
BuildRequires: pkgconfig

%description devel
Development files and header files necessary to build applications
that use %{name}.

%prep
%setup -q

%build

%configure
make

%install
%{__rm} -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE README NEWS
%{_libdir}/*.so.*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so
%{_includedir}/libadminutil
%{_includedir}/libadmsslutil

%changelog
* Wed Mar 28 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-1
- Initial version - based largely on svrcore.spec
